12/5/2021»»Sunday

No Packages Eligible For Install Mac

12/5/2021

Step 4: Install macOS High Sierra The second item from the top of the macOS Utilities screen is “Install macOS”. Select this item by clicking on it, then click on Continue. In the installer screen, select “Macintosh HD” (or whatever your boot drive is actually named) as the disk for macOS High Sierra to be installed on. A: Check to make sure your Install macOS High Sierra App is the correct one. It should be around 5GB in size. If you used the 'Skip App Verification' option, you have most likely selected an invalid app that doesn't contain the necessary files. Q: I cannot open my copy of Install macOS High Sierra. Jun 21, 2016 Installing El Capiton on an old Mac Book Pro today, I received the error: OS X could not be installed on your computer. No packages were eligible for install. Contact the software manufacturer for assistance. Quit the installer to restart your computer and try again.

  1. No Packages Eligible For Install Mac Os
  2. No Packages Were Eligible For Install Mac
  3. No Packages Eligible For Install Macbeth
  4. R Cannot Install Package Mac
Packages

When the warning “macOS could not be installed on your computer” or “The path /System/Installation/Packages/OSInstall.mpkg appears to be missing or damaged” is thrown during a macOS High Sierra install on a hackintosh it’s usually caused by one of two things.

I first noticed this problem when installing the High Sierra 10.13 Supplement Update (17A405) and only happens when installing macOS over an Intel iGPU or a Nvidia GPU.

The cause of the error is usually one of two things: GPU or SMBIOS. Here’s how to fix both:

Nov 12, 2019 After a good night's sleep I read a list o Mac OS/OSX versions, then realised that Mavericks is older than Yosemite, which I managed to install in 2016.

1. Graphical Cause

If you got this error when installing macOS with an Intel iGPU or Nvidia GPU then it’s likely you have EmuVariableUefi-64.efi in your EFI partition. This driver can cause an issue during the install of High Sierra which can produce the above error and removing it will remove the error.

  1. When the OS X installer complains that 'No packages were eligible for install' and displays this window: don't restart your Mac. Turn Wi-Fi off or unplug the Ethernet cord, depending on your configuration, to prevent your Mac from connecting to the Internet: Select.
  2. 5) When your Mac reboots following the firmware install, shut it down 6) Reinstall the new video card 7) Restart the Mojave install. Note the firmware update for your MacPro will NOT install with the new video card installed, it needs to be the OEM card, but the install will not proceed after that without the new card in place.
  1. Mount your EFI partition using Clover Configurator
  2. Navigate to EFI/Clover/Drivers64UEFI/
  3. Delete EmuVariableUefi-64.efi
  4. Restart and try to complete the installer again

If this solves the error. Add EmuVariableUefi-64.efi back into your EFI folder if you plan to use a dedicated graphics card by opening your config.plist in Clover Configurator and selecting Install Drivers on the left column menu.

2. SMBIOS Cause

If the errormacOS could not be installed on your computer persists after removing EmuVariableUefi-64.efi, then a bad SMBIOS setting could be what’s behind it. If the SMBIOS spoof is too old (i.e. 2011 or earlier) the installer will detect that the “Mac” as too old to run High Sierra. Verify the spoofed SMBIOS being used is based on a Mac that came out in 2012+ or later. The SMBIOS spoof can be changed in Clover Configurator.

If the installer can’t match the firmware and BIOS version with known values the error will also be thrown. Generate a new SMBIOS using Clover Configurator to fix the firmware issue, then restart your hackintosh and try the installer again.

3. System Time Cause

If the time in BIOS does not match the apple time of your installer this error can be thrown if it’s outside the macOS Installer’s allowed tolerance. For example if you are using a motherboard/laptop that’s been in storage awhile the system time may not match the installer’s time.

See:For anyone who can’t install macOS because “the Installer is Damaged”

4. NVRAM Cause

If you are updating from an earlier version of macOS and getting this error you can try clearing out the NVRAM.

  1. Open Terminal & type:
  2. sudo nvram -c
5. Dirty Drive Cause

The drive you are installing macOS could be the source of the problem and this was the cause with an install I recently did. I tried installing High Sierra 10.13.2 on an old drive running Sierra 10.12.6. Despite it being a separate partition no matter what I did I was still getting the error. I then decided that it must have been the drive itself because and it was. Skin packs for mac os x.

I backed up all my files on a separate drive to transfer back later and used Disk Utility to erase the drive I wanted to install High Sierra. That did the trick and I was able to complete the install without getting the error.

Check compatibility

You can upgrade to macOS High Sierra from OS X Mountain Lion or later on any of the following Mac models. Your Mac also needs at least 2GB of memory and 14.3GB of available storage space.

MacBook introduced in late 2009 or later
MacBook Air introduced in late 2010 or later
MacBook Pro introduced in mid 2010 or later
Mac mini introduced in mid 2010 or later
iMac introduced in late 2009 or later
Mac Pro introduced in mid 2010 or later

To find your Mac model, memory, storage space and macOS version, choose About This Mac from the Apple menu . If your Mac isn’t compatible with macOS High Sierra, the installer will let you know.

Make a backup

Before installing any upgrade, it’s a good idea to back up your Mac. Time Machine makes it simple, and other backup methods are also available. Learn how to back up your Mac.

For

Get connected

Mac No Packages Were Eligible For Install

It takes time to download and install macOS, so make sure that you have a reliable Internet connection. If you’re using a Mac notebook computer, plug it into AC power.

Download macOS High Sierra

For the strongest security and latest features, find out whether you can upgrade to macOS Catalina, the latest version of the Mac operating system.

If you still need macOS High Sierra, use this App Store link: Get macOS High Sierra.

Begin installation

After downloading, the installer opens automatically.

Click Continue and follow the onscreen instructions. You might find it easiest to begin installation in the evening so that it can complete overnight, if needed.

Mac High Sierra No Packages Were Eligible For Install Windows

If the installer asks for permission to install a helper tool, enter the administrator name and password that you use to log in to your Mac, then click Add Helper.

Allow installation to complete

Please allow installation to complete without putting your Mac to sleep or closing its lid. Your Mac might restart, show a progress bar or show a blank screen several times as it installs both macOS and related updates to your Mac firmware.

Mac High Sierra No Packages Were Eligible For Install Hackintosh

Learn more

  • If you have hardware or software that isn’t compatible with High Sierra, you might be able to install an earlier macOS, such as Sierra or El Capitan.
  • macOS High Sierra won’t install on top of a later version of macOS, but you can erase your disk first or install on another disk.
  • You can use macOS Recovery to reinstall macOS.
When trying to upgrade from OS X 10.6.8 Snow Leopard to OS X 10.11.6 El Capitan, I repeatedly encountered a frustrating error message: 'OS X could not be installed on your computer. No packages were eligible for install. Contact the software manufacturer for assistance. Quit the installer to restart your computer and try again.'

My end goal was to install macOS 10.13 High Sierra. I read online that one must upgrade to OS X 10.11 before upgrading to macOS 10.13 if one is starting from OS X 10.6. This upgrade route did not work for me no matter how many solutions I attempted. I eventually found a solution to this frustrating problem which I'll share below, but before I do that, I'd like to share what did NOT work for me to hopefully help others avoid unnecessary frustration and wasted time:
Solution attempts that did NOT work for me:
Macbook
I tried changing the time to the correct present time and to a past time when the installer certificates may have still been valid (mid-2016). The upgrade problem persisted either way.
Manually setting the date and time via the Terminal (see above link) to an earlier date is worth trying because it has worked for some people. Try this time: 1010101015
2) Erasing my internal hard drive using Disk Utility in Internet Recovery Mode
All this did was remove my data, but the persistent 'OS X could not be installed...' problem remained.
3) Booting from an external hard drive that was formatted to act as an installer for OS X 10.11
4) Booting in the Internet Recovery Mode option to install the version closest to the operating system that came with my Mac (Shift+Option+Command+R).
My Mac came with Snow Leopard, which is not available to download, so it attempted to install Lion, but wasn't able to do so because I had not purchased it with my Apple ID.
Here's the upgrade route that DID work for me:
1) I purchased OS X 10.7 Lion with my Apple ID and downloaded it via the Mac App Store on another Mac (so it would be in my App Store download history)
2) I booted in the Internet Recovery Mode option to install the version closest to the operating system that came with my Mac by holding down Shift+Option+Command+R while my MacBook was restarting.
3) I selected 'Reinstall Mac OS X' in the 'Mac OS X Utilities' window that appeared when Internet Recovery Mode fully booted up.

No Packages Eligible For Install Mac Os

4) When prompted, I entered my Apple ID information that was used to purchase and download OS X 10.7 Lion and allowed the OS X upgrade to proceed to completion. I then had a fresh version of OS X 10.7 Lion installed on my Mac.
5) The next step was to upgrade from OS X 10.7 Lion to macOS 10.12 Sierra using these steps.
6) Once macOS 10.12 Sierra was fully installed, I upgraded to macOS 10.13 High Sierra using these steps.

No Packages Were Eligible For Install Mac

My MacBook Pro is now successfully running macOS 10.13.6 High Sierra.
Basically, what worked for me was circumnavigating the suggested route of installing OS X 10.11 before installing macOS 10.13. Instead, I followed this upgrade route: 10.6 to 10.7, then 10.12 to 10.13.

No Packages Eligible For Install Macbeth

I thought it may be helpful to share what worked for me in case someone else out there is trying to upgrade from OS X 10.6 Snow Leopard to macOS 10.13 High Sierra and encountering the issue I encountered. Please feel free to ask me any questions about this and I will do my best to help.

R Cannot Install Package Mac


Latest Posts